### Property

# Json Generator:pretty

#### Declaration

    property pretty: gboolean [ read, write ]

#### Description [src]

Whether the output should be “pretty-printed”, with indentation and newlines.

The indentation level can be controlled by using the `JsonGenerator:indent` property.

Type: | `gboolean`

Getter method | `json_generator_get_pretty()`
Setter method | `json_generator_set_pretty()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no